<?php
/**
 * Add inline styles to the head area
 * These styles represents options from the customizer
 * @package Shaped Pixels
 */
 
 // Dynamic styles
function shaped_pixels_inline_styles($custom) {

// site title margin
	$logo_margins = get_theme_mod( 'logo_margins', '32px 0 0 0' );
	$custom .= ".site-branding img, .site-title { margin: " . esc_attr($logo_margins) . ";}"."\n";	
	
// content area links
	$link_colour = get_theme_mod( 'link_colour', '#c8842d' );
	$custom .= "a, a:visited { color: " . esc_attr($link_colour) . ";}"."\n";	
	
// content area hover links
	$link_hover = get_theme_mod( 'link_hover', '#686868' );
	$custom .= "a:hover, a:focus, a:active { color: " . esc_attr($link_hover) . ";}"."\n";

// site footer styles
	$footer_bg = get_theme_mod( 'footer_bg', '#b5704e' );
	$footer_text = get_theme_mod( 'footer_text', '#f3d7c9' );
	$custom .= "#footer-group { background-color: " . esc_attr($footer_bg) . "; color: " . esc_attr($footer_text) . "}"."\n";

// footer area links
	$footergroup_links = get_theme_mod( 'footergroup_links', '#f3d7c9' );
	$custom .= "#footer-group a, #footer-group a:visited { color: " . esc_attr($footergroup_links) . ";}"."\n";

// footer area tagcloud 
	$footergroup_text = get_theme_mod( 'footergroup_text', '#f3d7c9' );
	$custom .= "#footer-group .tagcloud a { color: " . esc_attr($footergroup_text) . ";}"."\n";

// footer widget titles 
	$footerwidgets_titles = get_theme_mod( 'footerwidgets_titles', '#f7ece7' );
	$custom .= "#footer-group .widget-title { color: " . esc_attr($footerwidgets_titles) . ";}"."\n";

// footer list borders 
	$footergroup_list = get_theme_mod( 'footergroup_list', '#c88e71' );
	$custom .= "#footer-group li { border-color: " . esc_attr($footergroup_list) . ";}"."\n";

// footer menu links
	$footermenu_links = get_theme_mod( 'footermenu_links', '#a0a0a0' );
	$custom .= "#footer-menu a { color: " . esc_attr($footermenu_links) . ";}"."\n";

// footer menu links hover
	$footermenu_hover = get_theme_mod( 'footermenu_hover', '#c7b596' );
	$custom .= "#footer-menu a:hover { color: " . esc_attr($footermenu_hover) . ";}"."\n";

// social icons
	$socialicons = get_theme_mod( 'socialicons', '#5d636a' );
	$custom .= ".social-navigation a { color: " . esc_attr($socialicons) . ";}"."\n";

// social icons hover
	$socialicons_hover = get_theme_mod( 'socialicons_hover', '#a9aeb3' );
	$custom .= ".social-navigation a:hover { color: " . esc_attr($socialicons_hover) . ";}"."\n";

// button styling
	$buttoncolour = get_theme_mod( 'buttoncolour', '#b7bcc1' );
	$button_text = get_theme_mod( 'button_text', '#fff' );
	$custom .= ".shaped-btn,button,input[type='submit'],input[type='reset'], .shaped-btn:visited,button:visited,input[type='submit']:visited, input[type='reset']:visited { background-color: " . esc_attr($buttoncolour) . "; color: " . esc_attr($button_text) . ";}"."\n";

// button hover styling
	$button_hover = get_theme_mod( 'button_hover', '#5d636a' );
	$button_hover_text = get_theme_mod( 'button_hover_text', '#fff' );
	$custom .= ".shaped-btn:hover,button:hover,input[type=\"submit\"]:hover,	input[type=\"reset\"]:hover { background-color: " . esc_attr($button_hover) . "; color: " . esc_attr($button_hover_text) . ";}"."\n";

// main menu links
	$nav_links = get_theme_mod( 'nav_links', '#686868' );
	$custom .= ".primary-navigation li a, .primary-navigation li li > a { color: " . esc_attr($nav_links) . ";}"."\n";
	
// main menu hover and active
	$nav_hover = get_theme_mod( 'nav_hover', '#d9a241' );
	$custom .= ".site-navigation a:hover, .site-navigation .current-menu-item > a, .site-navigation .current-menu-item > a, .site-navigation .current-menu-ancestor > a { color: " . esc_attr($nav_hover) . ";}"."\n";

// submenu styling
	$submenu_bg = get_theme_mod( 'submenu_bg', '#fff' );
	$submenu_border = get_theme_mod( 'submenu_border', '#b5704e' );
	$custom .= ".primary-navigation ul ul { background-color: " . esc_attr($submenu_bg) . "; border-color: " . esc_attr($submenu_border) . ";}"."\n";




	
	//Output all the styles
	wp_add_inline_style( 'shaped-pixels-style', $custom );	
}
add_action( 'wp_enqueue_scripts', 'shaped_pixels_inline_styles' );		